Bug 304694 - KDevelop crashes when exporting Diff to ReviewBoard
Summary: KDevelop crashes when exporting Diff to ReviewBoard
Status: RESOLVED FIXED
Alias: None
Product: kdevelop
Classification: Applications
Component: general (show other bugs)
Version: 4.3.1
Platform: OpenSUSE Linux
: NOR crash (vote)
Target Milestone: 4.3.0
Assignee: kdevelop-bugs-null
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-08-06 22:40 UTC by markuss
Modified: 2012-08-07 13:30 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description markuss 2012-08-06 22:40:34 UTC
Application: kdevelop (4.3.1)
KDE Platform Version: 4.9.00 "release 555"
Qt Version: 4.8.2
Operating System: Linux 3.1.10-1.16-desktop i686
Distribution: "openSUSE 12.1 (i586)"

-- Information about the crash:
Whenever I try to export a patch to ReviewBoard, KDevelop crashes.

The crash can be reproduced every time.

-- Backtrace:
Application: KDevelop (kdevelop), signal: Segmentation fault
[Current thread is 1 (Thread 0xb28319a0 (LWP 10621))]

Thread 12 (Thread 0xaf61ab70 (LWP 10626)):
#0  0xb5dd8b15 in pthread_cond_timedwait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#1  0xb5ecd624 in pthread_cond_timedwait@@GLIBC_2.3.2 () from /lib/libc.so.6
#2  0xb6b9778f in wait (time=1000, this=0x84e96f8) at thread/qwaitcondition_unix.cpp:84
#3  QWaitCondition::wait (this=0x84e7144, mutex=0x84e7148, time=1000) at thread/qwaitcondition_unix.cpp:158
#4  0xb55b8e8a in ?? () from /usr/lib/libkdevplatformlanguage.so.5
#5  0xb6b97290 in QThreadPrivate::start (arg=0x84e7138) at thread/qthread_unix.cpp:307
#6  0xb5dd4a7d in start_thread () from /lib/libpthread.so.0
#7  0xb5ebfabe in clone () from /lib/libc.so.6

Thread 11 (Thread 0xaa259b70 (LWP 10638)):
#0  0xb5eb4bb4 in poll () from /lib/libc.so.6
#1  0xb5008f9b in g_poll () from /usr/lib/libglib-2.0.so.0
#2  0xb4ffa486 in ?? () from /usr/lib/libglib-2.0.so.0
#3  0xb4ffa81a in g_main_context_iteration () from /usr/lib/libglib-2.0.so.0
#4  0xb6cdeb47 in QEventDispatcherGlib::processEvents (this=0xa9900468, flags=...) at kernel/qeventdispatcher_glib.cpp:426
#5  0xb6caa64d in QEventLoop::processEvents (this=0xaa2592a0, flags=...) at kernel/qeventloop.cpp:149
#6  0xb6caa8e9 in QEventLoop::exec (this=0xaa2592a0, flags=...) at kernel/qeventloop.cpp:204
#7  0xb6b93dac in QThread::exec (this=0x8858ed0) at thread/qthread.cpp:501
#8  0xb6c87b6d in QInotifyFileSystemWatcherEngine::run (this=0x8858ed0) at io/qfilesystemwatcher_inotify.cpp:248
#9  0xb6b97290 in QThreadPrivate::start (arg=0x8858ed0) at thread/qthread_unix.cpp:307
#10 0xb5dd4a7d in start_thread () from /lib/libpthread.so.0
#11 0xb5ebfabe in clone () from /lib/libc.so.6

Thread 10 (Thread 0xa98f1b70 (LWP 10656)):
#0  0xb5eb4bb4 in poll () from /lib/libc.so.6
#1  0xb5008f9b in g_poll () from /usr/lib/libglib-2.0.so.0
#2  0xb4ffa486 in ?? () from /usr/lib/libglib-2.0.so.0
#3  0xb4ffa81a in g_main_context_iteration () from /usr/lib/libglib-2.0.so.0
#4  0xb6cdeb47 in QEventDispatcherGlib::processEvents (this=0xa9901d40, flags=...) at kernel/qeventdispatcher_glib.cpp:426
#5  0xb6caa64d in QEventLoop::processEvents (this=0xa98f12d0, flags=...) at kernel/qeventloop.cpp:149
#6  0xb6caa8e9 in QEventLoop::exec (this=0xa98f12d0, flags=...) at kernel/qeventloop.cpp:204
#7  0xb6b93dac in QThread::exec (this=0x88ff930) at thread/qthread.cpp:501
#8  0xb6b93e9b in QThread::run (this=0x88ff930) at thread/qthread.cpp:568
#9  0xb6b97290 in QThreadPrivate::start (arg=0x88ff930) at thread/qthread_unix.cpp:307
#10 0xb5dd4a7d in start_thread () from /lib/libpthread.so.0
#11 0xb5ebfabe in clone () from /lib/libc.so.6

Thread 9 (Thread 0xa85e5b70 (LWP 10702)):
#0  0xb5dd8782 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#1  0xb5ecd5cc in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libc.so.6
#2  0xb43e8189 in ?? () from /usr/lib/libQtWebKit.so.4
#3  0xb43e81cf in ?? () from /usr/lib/libQtWebKit.so.4
#4  0xb5dd4a7d in start_thread () from /lib/libpthread.so.0
#5  0xb5ebfabe in clone () from /lib/libc.so.6

Thread 8 (Thread 0xa7672b70 (LWP 10738)):
#0  0xb5dd8782 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#1  0xb5ecd5cc in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libc.so.6
#2  0xb6b97800 in wait (time=4294967295, this=0x8c4d8a0) at thread/qwaitcondition_unix.cpp:86
#3  QWaitCondition::wait (this=0x8c38530, mutex=0x8bd2580, time=4294967295) at thread/qwaitcondition_unix.cpp:158
#4  0xb4b0a36c in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0x8c38518, th=0x8c50b90) at /usr/src/debug/kdelibs-4.9.0/threadweaver/Weaver/WeaverImpl.cpp:365
#5  0xb4b0d22b in ThreadWeaver::WorkingHardState::waitForAvailableJob (this=0x868bfe0, th=0x8c50b90) at /usr/src/debug/kdelibs-4.9.0/threadweaver/Weaver/WorkingHardState.cpp:80
#6  0xb4b09eda in ThreadWeaver::WeaverImpl::waitForAvailableJob (this=0x8c38518, th=0x8c50b90) at /usr/src/debug/kdelibs-4.9.0/threadweaver/Weaver/WeaverImpl.cpp:356
#7  0xb4b0d32c in ThreadWeaver::WorkingHardState::applyForWork (this=0x868bfe0, th=0x8c50b90) at /usr/src/debug/kdelibs-4.9.0/threadweaver/Weaver/WorkingHardState.cpp:71
#8  0xb4b09dd3 in ThreadWeaver::WeaverImpl::applyForWork (this=0x8c38518, th=0x8c50b90, previous=0x8c5a238) at /usr/src/debug/kdelibs-4.9.0/threadweaver/Weaver/WeaverImpl.cpp:351
#9  0xb4b0bda4 in ThreadWeaver::ThreadRunHelper::run (this=0xa7672304, parent=0x8c38518, th=0x8c50b90) at /usr/src/debug/kdelibs-4.9.0/threadweaver/Weaver/Thread.cpp:87
#10 0xb4b0be5a in ThreadWeaver::Thread::run (this=0x8c50b90) at /usr/src/debug/kdelibs-4.9.0/threadweaver/Weaver/Thread.cpp:142
#11 0xb6b97290 in QThreadPrivate::start (arg=0x8c50b90) at thread/qthread_unix.cpp:307
#12 0xb5dd4a7d in start_thread () from /lib/libpthread.so.0
#13 0xb5ebfabe in clone () from /lib/libc.so.6

Thread 7 (Thread 0xa5dc9b70 (LWP 10787)):
#0  0xb5b83c90 in clock_gettime () from /lib/librt.so.1
#1  0xb6bf5c35 in do_gettime (frac=0xa5dc9020, sec=0xa5dc9018) at tools/qelapsedtimer_unix.cpp:123
#2  qt_gettime () at tools/qelapsedtimer_unix.cpp:140
#3  0xb6cdf486 in QTimerInfoList::updateCurrentTime (this=0x8ed4174) at kernel/qeventdispatcher_unix.cpp:343
#4  0xb6cdf7ea in QTimerInfoList::timerWait (this=0x8ed4174, tm=...) at kernel/qeventdispatcher_unix.cpp:450
#5  0xb6cddfe3 in timerSourcePrepareHelper (src=<optimized out>, timeout=0xa5dc912c) at kernel/qeventdispatcher_glib.cpp:136
#6  0xb6cde07d in timerSourcePrepare (source=0x8ed4140, timeout=<optimized out>) at kernel/qeventdispatcher_glib.cpp:169
#7  0xb4ff946c in g_main_context_prepare () from /usr/lib/libglib-2.0.so.0
#8  0xb4ffa227 in ?? () from /usr/lib/libglib-2.0.so.0
#9  0xb4ffa81a in g_main_context_iteration () from /usr/lib/libglib-2.0.so.0
#10 0xb6cdeb47 in QEventDispatcherGlib::processEvents (this=0x8ec5c38, flags=...) at kernel/qeventdispatcher_glib.cpp:426
#11 0xb6caa64d in QEventLoop::processEvents (this=0xa5dc92c0, flags=...) at kernel/qeventloop.cpp:149
#12 0xb6caa8e9 in QEventLoop::exec (this=0xa5dc92c0, flags=...) at kernel/qeventloop.cpp:204
#13 0xb6b93dac in QThread::exec (this=0x8edf110) at thread/qthread.cpp:501
#14 0xb56bbea6 in ?? () from /usr/lib/libkdevplatformlanguage.so.5
#15 0xb6b97290 in QThreadPrivate::start (arg=0x8edf110) at thread/qthread_unix.cpp:307
#16 0xb5dd4a7d in start_thread () from /lib/libpthread.so.0
#17 0xb5ebfabe in clone () from /lib/libc.so.6

Thread 6 (Thread 0xa55c9b70 (LWP 10788)):
#0  0xb5dd7a74 in __pthread_mutex_unlock_usercnt () from /lib/libpthread.so.0
#1  0xb5ecd824 in pthread_mutex_unlock () from /lib/libc.so.6
#2  0xb4ff945f in g_main_context_prepare () from /usr/lib/libglib-2.0.so.0
#3  0xb4ffa227 in ?? () from /usr/lib/libglib-2.0.so.0
#4  0xb4ffa81a in g_main_context_iteration () from /usr/lib/libglib-2.0.so.0
#5  0xb6cdeb47 in QEventDispatcherGlib::processEvents (this=0xa990c9b0, flags=...) at kernel/qeventdispatcher_glib.cpp:426
#6  0xb6caa64d in QEventLoop::processEvents (this=0xa55c92c0, flags=...) at kernel/qeventloop.cpp:149
#7  0xb6caa8e9 in QEventLoop::exec (this=0xa55c92c0, flags=...) at kernel/qeventloop.cpp:204
#8  0xb6b93dac in QThread::exec (this=0x8ee00c0) at thread/qthread.cpp:501
#9  0xb56bbea6 in ?? () from /usr/lib/libkdevplatformlanguage.so.5
#10 0xb6b97290 in QThreadPrivate::start (arg=0x8ee00c0) at thread/qthread_unix.cpp:307
#11 0xb5dd4a7d in start_thread () from /lib/libpthread.so.0
#12 0xb5ebfabe in clone () from /lib/libc.so.6

Thread 5 (Thread 0xa4378b70 (LWP 10793)):
#0  0xb5dd8782 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#1  0xb5ecd5cc in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libc.so.6
#2  0xb6b97800 in wait (time=4294967295, this=0x8384a80) at thread/qwaitcondition_unix.cpp:86
#3  QWaitCondition::wait (this=0x8384d20, mutex=0x8337638, time=4294967295) at thread/qwaitcondition_unix.cpp:158
#4  0xb4b0a36c in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0x8384d08, th=0x8a60a48) at /usr/src/debug/kdelibs-4.9.0/threadweaver/Weaver/WeaverImpl.cpp:365
#5  0xb4b0d22b in ThreadWeaver::WorkingHardState::waitForAvailableJob (this=0x82fd780, th=0x8a60a48) at /usr/src/debug/kdelibs-4.9.0/threadweaver/Weaver/WorkingHardState.cpp:80
#6  0xb4b09eda in ThreadWeaver::WeaverImpl::waitForAvailableJob (this=0x8384d08, th=0x8a60a48) at /usr/src/debug/kdelibs-4.9.0/threadweaver/Weaver/WeaverImpl.cpp:356
#7  0xb4b0d32c in ThreadWeaver::WorkingHardState::applyForWork (this=0x82fd780, th=0x8a60a48) at /usr/src/debug/kdelibs-4.9.0/threadweaver/Weaver/WorkingHardState.cpp:71
#8  0xb4b09dd3 in ThreadWeaver::WeaverImpl::applyForWork (this=0x8384d08, th=0x8a60a48, previous=0x90b2598) at /usr/src/debug/kdelibs-4.9.0/threadweaver/Weaver/WeaverImpl.cpp:351
#9  0xb4b0bda4 in ThreadWeaver::ThreadRunHelper::run (this=0xa4378304, parent=0x8384d08, th=0x8a60a48) at /usr/src/debug/kdelibs-4.9.0/threadweaver/Weaver/Thread.cpp:87
#10 0xb4b0be5a in ThreadWeaver::Thread::run (this=0x8a60a48) at /usr/src/debug/kdelibs-4.9.0/threadweaver/Weaver/Thread.cpp:142
#11 0xb6b97290 in QThreadPrivate::start (arg=0x8a60a48) at thread/qthread_unix.cpp:307
#12 0xb5dd4a7d in start_thread () from /lib/libpthread.so.0
#13 0xb5ebfabe in clone () from /lib/libc.so.6

Thread 4 (Thread 0xa3b78b70 (LWP 10794)):
#0  0xb5dd8782 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#1  0xb5ecd5cc in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libc.so.6
#2  0xb6b97800 in wait (time=4294967295, this=0x8384a80) at thread/qwaitcondition_unix.cpp:86
#3  QWaitCondition::wait (this=0x8384d20, mutex=0x8337638, time=4294967295) at thread/qwaitcondition_unix.cpp:158
#4  0xb4b0a36c in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0x8384d08, th=0xad005b60) at /usr/src/debug/kdelibs-4.9.0/threadweaver/Weaver/WeaverImpl.cpp:365
#5  0xb4b0d22b in ThreadWeaver::WorkingHardState::waitForAvailableJob (this=0x82fd780, th=0xad005b60) at /usr/src/debug/kdelibs-4.9.0/threadweaver/Weaver/WorkingHardState.cpp:80
#6  0xb4b09eda in ThreadWeaver::WeaverImpl::waitForAvailableJob (this=0x8384d08, th=0xad005b60) at /usr/src/debug/kdelibs-4.9.0/threadweaver/Weaver/WeaverImpl.cpp:356
#7  0xb4b0d32c in ThreadWeaver::WorkingHardState::applyForWork (this=0x82fd780, th=0xad005b60) at /usr/src/debug/kdelibs-4.9.0/threadweaver/Weaver/WorkingHardState.cpp:71
#8  0xb4b09dd3 in ThreadWeaver::WeaverImpl::applyForWork (this=0x8384d08, th=0xad005b60, previous=0x0) at /usr/src/debug/kdelibs-4.9.0/threadweaver/Weaver/WeaverImpl.cpp:351
#9  0xb4b0d348 in ThreadWeaver::WorkingHardState::applyForWork (this=0x82fd780, th=0xad005b60) at /usr/src/debug/kdelibs-4.9.0/threadweaver/Weaver/WorkingHardState.cpp:74
#10 0xb4b09dd3 in ThreadWeaver::WeaverImpl::applyForWork (this=0x8384d08, th=0xad005b60, previous=0x0) at /usr/src/debug/kdelibs-4.9.0/threadweaver/Weaver/WeaverImpl.cpp:351
#11 0xb4b0d348 in ThreadWeaver::WorkingHardState::applyForWork (this=0x82fd780, th=0xad005b60) at /usr/src/debug/kdelibs-4.9.0/threadweaver/Weaver/WorkingHardState.cpp:74
#12 0xb4b09dd3 in ThreadWeaver::WeaverImpl::applyForWork (this=0x8384d08, th=0xad005b60, previous=0x0) at /usr/src/debug/kdelibs-4.9.0/threadweaver/Weaver/WeaverImpl.cpp:351
#13 0xb4b0d348 in ThreadWeaver::WorkingHardState::applyForWork (this=0x82fd780, th=0xad005b60) at /usr/src/debug/kdelibs-4.9.0/threadweaver/Weaver/WorkingHardState.cpp:74
#14 0xb4b09dd3 in ThreadWeaver::WeaverImpl::applyForWork (this=0x8384d08, th=0xad005b60, previous=0x8eb32c0) at /usr/src/debug/kdelibs-4.9.0/threadweaver/Weaver/WeaverImpl.cpp:351
#15 0xb4b0bda4 in ThreadWeaver::ThreadRunHelper::run (this=0xa3b78304, parent=0x8384d08, th=0xad005b60) at /usr/src/debug/kdelibs-4.9.0/threadweaver/Weaver/Thread.cpp:87
#16 0xb4b0be5a in ThreadWeaver::Thread::run (this=0xad005b60) at /usr/src/debug/kdelibs-4.9.0/threadweaver/Weaver/Thread.cpp:142
#17 0xb6b97290 in QThreadPrivate::start (arg=0xad005b60) at thread/qthread_unix.cpp:307
#18 0xb5dd4a7d in start_thread () from /lib/libpthread.so.0
#19 0xb5ebfabe in clone () from /lib/libc.so.6

Thread 3 (Thread 0xa3000b70 (LWP 10817)):
#0  0xb5dd8782 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#1  0xb5ecd5cc in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libc.so.6
#2  0xb0fe7569 in QTWTF::TCMalloc_PageHeap::scavengerThread (this=0xb10e77a0) at ../3rdparty/javascriptcore/JavaScriptCore/wtf/FastMalloc.cpp:2359
#3  0xb0fe75af in QTWTF::TCMalloc_PageHeap::runScavengerThread (context=0xb10e77a0) at ../3rdparty/javascriptcore/JavaScriptCore/wtf/FastMalloc.cpp:1464
#4  0xb5dd4a7d in start_thread () from /lib/libpthread.so.0
#5  0xb5ebfabe in clone () from /lib/libc.so.6

Thread 2 (Thread 0xa1effb70 (LWP 11407)):
#0  0xb5eb4bb4 in poll () from /lib/libc.so.6
#1  0xb5008f9b in g_poll () from /usr/lib/libglib-2.0.so.0
#2  0xb4ffa486 in ?? () from /usr/lib/libglib-2.0.so.0
#3  0xb4ffa81a in g_main_context_iteration () from /usr/lib/libglib-2.0.so.0
#4  0xb6cdeb47 in QEventDispatcherGlib::processEvents (this=0x93ca5e0, flags=...) at kernel/qeventdispatcher_glib.cpp:426
#5  0xb6caa64d in QEventLoop::processEvents (this=0xa1eff2d0, flags=...) at kernel/qeventloop.cpp:149
#6  0xb6caa8e9 in QEventLoop::exec (this=0xa1eff2d0, flags=...) at kernel/qeventloop.cpp:204
#7  0xb6b93dac in QThread::exec (this=0x891bbb0) at thread/qthread.cpp:501
#8  0xb6b93e9b in QThread::run (this=0x891bbb0) at thread/qthread.cpp:568
#9  0xb6b97290 in QThreadPrivate::start (arg=0x891bbb0) at thread/qthread_unix.cpp:307
#10 0xb5dd4a7d in start_thread () from /lib/libpthread.so.0
#11 0xb5ebfabe in clone () from /lib/libc.so.6

Thread 1 (Thread 0xb28319a0 (LWP 10621)):
[KCrash Handler]
#6  0xad9d25d4 in ReviewPatchDialog::repository (this=0xbfc74b2c) at /usr/src/debug/kdevplatform-1.3.1/plugins/reviewboard/reviewpatchdialog.cpp:93
#7  0xad9d1ac4 in ReviewBoardPlugin::exportPatch (this=0x85cdf98, source=...) at /usr/src/debug/kdevplatform-1.3.1/plugins/reviewboard/reviewboardplugin.cpp:72
#8  0xadda2757 in PatchReviewPlugin::exporterSelected (this=0x0, action=0xad9d16b0) at /usr/src/debug/kdevplatform-1.3.1/plugins/patchreview/patchreview.cpp:1509
#9  0xb6cc269f in QMetaObject::activate (sender=0x87c2568, m=0xb6b0fc14, local_signal_index=2, argv=0xbfc74d58) at kernel/qobject.cpp:3556
#10 0xb664c585 in QMenu::triggered (this=0x87c2568, _t1=0x896d408) at .moc/release-shared/moc_qmenu.cpp:178
#11 0xb664db3d in QMenuPrivate::_q_actionTriggered (this=0x81e9278) at widgets/qmenu.cpp:1146
#12 0xb6cc269f in QMetaObject::activate (sender=0x896d408, m=0xb6b083b8, local_signal_index=1, argv=0xbfc74ea8) at kernel/qobject.cpp:3556
#13 0xb618b1bd in QAction::triggered (this=0x896d408, _t1=false) at .moc/release-shared/moc_qaction.cpp:277
#14 0xb618b45b in QAction::activate (this=0x896d408, event=QAction::Trigger) at kernel/qaction.cpp:1257
#15 0xb664c843 in QMenuPrivate::activateCausedStack (this=0x81e9278, causedStack=..., action=0x896d408, action_e=QAction::Trigger, self=true) at widgets/qmenu.cpp:1028
#16 0xb665377f in QMenuPrivate::activateAction (this=0x81e9278, action=0x896d408, action_e=QAction::Trigger, self=true) at widgets/qmenu.cpp:1120
#17 0xb6656485 in QMenu::mouseReleaseEvent (this=0x87c2568, e=0xbfc75634) at widgets/qmenu.cpp:2360
#18 0xb61ec847 in QWidget::event (this=0x87c2568, event=0xbfc75634) at kernel/qwidget.cpp:8371
#19 0xb6654efc in QMenu::event (this=0x87c2568, e=0xbfc75634) at widgets/qmenu.cpp:2469
#20 0xb6192404 in notify_helper (e=0xbfc75634, receiver=0x87c2568, this=0x807f0f8) at kernel/qapplication.cpp:4551
#21 QApplicationPrivate::notify_helper (this=0x807f0f8, receiver=0x87c2568, e=0xbfc75634) at kernel/qapplication.cpp:4523
#22 0xb619816c in QApplication::notify (this=0x807f0f8, receiver=0x87c2568, e=0xbfc75634) at kernel/qapplication.cpp:4094
#23 0xb708eee1 in KApplication::notify (this=0xbfc77104, receiver=0x87c2568, event=0xbfc75634) at /usr/src/debug/kdelibs-4.9.0/kdeui/kernel/kapplication.cpp:311
#24 0xb6cabdce in QCoreApplication::notifyInternal (this=0xbfc77104, receiver=0x87c2568, event=0xbfc75634) at kernel/qcoreapplication.cpp:915
#25 0xb61933c0 in sendEvent (event=<optimized out>, receiver=<optimized out>) at ../../src/corelib/kernel/qcoreapplication.h:231
#26 QApplicationPrivate::sendMouseEvent (receiver=0x87c2568, event=0xbfc75634, alienWidget=0x0, nativeWidget=0x87c2568, buttonDown=0xb6b25cb4, lastMouseReceiver=..., spontaneous=true) at kernel/qapplication.cpp:3162
#27 0xb621cce2 in QETWidget::translateMouseEvent (this=0x87c2568, event=0xbfc75aec) at kernel/qapplication_x11.cpp:4447
#28 0xb621b14e in QApplication::x11ProcessEvent (this=0xbfc77104, event=0xbfc75aec) at kernel/qapplication_x11.cpp:3636
#29 0xb624680c in x11EventSourceDispatch (s=0x8080b00, callback=0, user_data=0x0) at kernel/qguieventdispatcher_glib.cpp:146
#30 0xb4ff9e4f in g_main_context_dispatch () from /usr/lib/libglib-2.0.so.0
#31 0xb4ffa580 in ?? () from /usr/lib/libglib-2.0.so.0
#32 0xb4ffa81a in g_main_context_iteration () from /usr/lib/libglib-2.0.so.0
#33 0xb6cdeae7 in QEventDispatcherGlib::processEvents (this=0x805b7e8, flags=...) at kernel/qeventdispatcher_glib.cpp:424
#34 0xb624640a in QGuiEventDispatcherGlib::processEvents (this=0x805b7e8, flags=...) at kernel/qguieventdispatcher_glib.cpp:204
#35 0xb6caa64d in QEventLoop::processEvents (this=0xbfc75df0, flags=...) at kernel/qeventloop.cpp:149
#36 0xb6caa8e9 in QEventLoop::exec (this=0xbfc75df0, flags=...) at kernel/qeventloop.cpp:204
#37 0xb6651017 in QMenu::exec (this=0x87c2568, p=..., action=0x0) at widgets/qmenu.cpp:2113
#38 0xb669a673 in QToolButtonPrivate::popupTimerDone (this=0x8785068) at widgets/qtoolbutton.cpp:952
#39 0xb669ad4d in QToolButtonPrivate::_q_buttonPressed (this=0x8785068) at widgets/qtoolbutton.cpp:876
#40 0xb669ae3b in qt_static_metacall (_a=0xbfc75ff0, _id=4, _o=0x9055278, _c=<optimized out>) at .moc/release-shared/moc_qtoolbutton.cpp:91
#41 QToolButton::qt_static_metacall (_o=0x9055278, _c=QMetaObject::InvokeMetaMethod, _id=4, _a=0xbfc75ff0) at .moc/release-shared/moc_qtoolbutton.cpp:81
#42 0xb6cc269f in QMetaObject::activate (sender=0x9055278, m=0xb6b1c8a8, local_signal_index=0, argv=0x0) at kernel/qobject.cpp:3556
#43 0xb68caf55 in QAbstractButton::pressed (this=0x9055278) at .moc/release-shared/moc_qabstractbutton.cpp:207
#44 0xb65bcd8d in QAbstractButtonPrivate::emitPressed (this=0x8785068) at widgets/qabstractbutton.cpp:562
#45 0xb65bda0a in QAbstractButton::mousePressEvent (this=0x9055278, e=0xbfc76754) at widgets/qabstractbutton.cpp:1098
#46 0xb669b116 in QToolButton::mousePressEvent (this=0x9055278, e=0xbfc76754) at widgets/qtoolbutton.cpp:709
#47 0xb61ec80b in QWidget::event (this=0x9055278, event=0xbfc76754) at kernel/qwidget.cpp:8367
#48 0xb65bd899 in QAbstractButton::event (this=0x9055278, e=0xbfc76754) at widgets/qabstractbutton.cpp:1082
#49 0xb669983c in QToolButton::event (this=0x9055278, event=0xbfc76754) at widgets/qtoolbutton.cpp:1160
#50 0xb6192404 in notify_helper (e=0xbfc76754, receiver=0x9055278, this=0x807f0f8) at kernel/qapplication.cpp:4551
#51 QApplicationPrivate::notify_helper (this=0x807f0f8, receiver=0x9055278, e=0xbfc76754) at kernel/qapplication.cpp:4523
#52 0xb619816c in QApplication::notify (this=0x807f0f8, receiver=0x9055278, e=0xbfc76754) at kernel/qapplication.cpp:4094
#53 0xb708eee1 in KApplication::notify (this=0xbfc77104, receiver=0x9055278, event=0xbfc76754) at /usr/src/debug/kdelibs-4.9.0/kdeui/kernel/kapplication.cpp:311
#54 0xb6cabdce in QCoreApplication::notifyInternal (this=0xbfc77104, receiver=0x9055278, event=0xbfc76754) at kernel/qcoreapplication.cpp:915
#55 0xb61933c0 in sendEvent (event=<optimized out>, receiver=<optimized out>) at ../../src/corelib/kernel/qcoreapplication.h:231
#56 QApplicationPrivate::sendMouseEvent (receiver=0x9055278, event=0xbfc76754, alienWidget=0x9055278, nativeWidget=0x8addb78, buttonDown=0xb6b25cb4, lastMouseReceiver=..., spontaneous=true) at kernel/qapplication.cpp:3162
#57 0xb621c584 in QETWidget::translateMouseEvent (this=0x8addb78, event=0xbfc76c0c) at kernel/qapplication_x11.cpp:4513
#58 0xb621b14e in QApplication::x11ProcessEvent (this=0xbfc77104, event=0xbfc76c0c) at kernel/qapplication_x11.cpp:3636
#59 0xb624680c in x11EventSourceDispatch (s=0x8080b00, callback=0, user_data=0x0) at kernel/qguieventdispatcher_glib.cpp:146
#60 0xb4ff9e4f in g_main_context_dispatch () from /usr/lib/libglib-2.0.so.0
#61 0xb4ffa580 in ?? () from /usr/lib/libglib-2.0.so.0
#62 0xb4ffa81a in g_main_context_iteration () from /usr/lib/libglib-2.0.so.0
#63 0xb6cdeae7 in QEventDispatcherGlib::processEvents (this=0x805b7e8, flags=...) at kernel/qeventdispatcher_glib.cpp:424
#64 0xb624640a in QGuiEventDispatcherGlib::processEvents (this=0x805b7e8, flags=...) at kernel/qguieventdispatcher_glib.cpp:204
#65 0xb6caa64d in QEventLoop::processEvents (this=0xbfc76f14, flags=...) at kernel/qeventloop.cpp:149
#66 0xb6caa8e9 in QEventLoop::exec (this=0xbfc76f14, flags=...) at kernel/qeventloop.cpp:204
#67 0xb6cafe2a in QCoreApplication::exec () at kernel/qcoreapplication.cpp:1187
#68 0xb61902a4 in QApplication::exec () at kernel/qapplication.cpp:3812
#69 0x08051698 in ?? ()
#70 0xb5e03003 in __libc_start_main () from /lib/libc.so.6
#71 0x08051e91 in _start ()

Reported using DrKonqi
Comment 1 Milian Wolff 2012-08-07 13:30:47 UTC
Git commit 22165be52ee9a59908a3d3ff4ea3f69349c8d34c by Milian Wolff.
Committed on 07/08/2012 at 15:28.
Pushed by mwolff into branch '1.4'.

Disable the "OK" button of the review board export-dialog if no repository is selected.

Otherwise the user could submit the dialog which would lead to a crash
when we try to read the repository.

M  +10   -1    plugins/reviewboard/reviewpatchdialog.cpp
M  +6    -0    plugins/reviewboard/reviewpatchdialog.h

http://commits.kde.org/kdevplatform/22165be52ee9a59908a3d3ff4ea3f69349c8d34c